<?php

if ( !file_exists( '../../../common/__config.php')) {
	die( 'No configuration file!');
}

require_once('../../../library/autoload.php');
require_once('../../../common/__config.php');

$builder = new DI\ContainerBuilder();
$builder->addDefinitions('../../../common/di-util.php');
$builder->addDefinitions('../../../common/di-core.php');
$builder->addDefinitions('../../../common/di-data.php');

$container = $builder->build();

$query_string = $_SERVER['QUERY_STRING'];
/** @var \Convo\Proto\ServiceUserDao $serviceUsersDao */
$serviceUsersDao = $container->get('serviceUserDao');

$users = $serviceUsersDao->getUsers();

function get_login_uri($user, $query_string) {
    $uri = CONVO_BASE_URL.'/rest_public/proto/v1/oauth/google';

    if (empty($query_string)) {
        $uri .= '?user_id='.$user['userId'];
    } else {
        $uri .= "?$query_string&user_id=".$user['userId'];
    }

    return $uri;
}
?><!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Link your account</title>
</head>
<body>
    <h1>Link your account</h1>
    <hr>
    <h3>Select your account to continue</h3>
    <hr>
    <ul>
        <?php foreach ($users as $user): ?>
            <li>
                <a href="<?php echo get_login_uri($user, $query_string) ?>">
                    <?php echo $user['firstName'].' '.$user['lastName']; ?>
                </a>
            </li>
        <?php endforeach; ?>
    </ul>
</body>
</html>
